#!/bin/bash

INDEX_HTML="/var/www/ff/stats.html"
ICECAST_URL="127.0.0.1:8000"

count=$(wget $ICECAST_URL/status-json.xsl -q -O - | jq .icestats.source.listeners)
if [[ $count == "" ]]; then
        count="Unknown"
fi
song=$(wget $ICECAST_URL/status-json.xsl -q -O - | jq .icestats.source.yp_currently_playing | tr -d '"' | tr '/' '-' | tr '\\' '-' | tr '*' '-' | tr '&' 'n')

sed -E -i "s/<\!-- PLAYING-BEGIN -->.*<\!-- PLAYING-END -->/<\!-- PLAYING-BEGIN -->$song<\!-- PLAYING-END -->/" $INDEX_HTML
sed -E -i "s/<\!-- COUNTER-BEGIN -->.*<\!-- COUNTER-END -->/<\!-- COUNTER-BEGIN -->$count<\!-- COUNTER-END -->/" $INDEX_HTML

echo -e "Updated.\nListeners: $count\nPlaying: $song"
